aboutsummaryrefslogtreecommitdiff
path: root/batch/old/bindiff.sh
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2020-05-24 16:48:22 +0200
committerToni Uhlig <matzeton@googlemail.com>2020-05-25 21:57:14 +0200
commit31c69b6ca1b91e7fd9fd8e14082fd2584c5f538c (patch)
tree16e789c7d68608831b498f41f54d9482b82a711a /batch/old/bindiff.sh
first public release
Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
Diffstat (limited to 'batch/old/bindiff.sh')
-rwxr-xr-xbatch/old/bindiff.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/batch/old/bindiff.sh b/batch/old/bindiff.sh
new file mode 100755
index 0000000..e598c6b
--- /dev/null
+++ b/batch/old/bindiff.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+
+if [ "x$1" = "x" ] || [ "x$2" = "x" ]; then
+ echo "$0: [FILE1] [FILE2]"
+ exit 1
+fi
+
+xxd "$1" > "$1.hex"
+xxd "$2" > "$2.hex"
+diff -du "$1.hex" "$2.hex" 2>&1 | less
+rm -f "$1.hex" "$2.hex"